package com.ynet.life.mvc.upload;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;
import java.util.Random;

/* loaded from: com_ynet_life_mvc_upload.jar:com/ynet/life/mvc/upload/SavetempFileToLocal.class */
public class SavetempFileToLocal extends LifeAction {
    private String picPath;
    private String identityCard;
    private String cardType;
    private String fileFlag;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v18 */
    /* JADX WARN: Type inference failed for: r0v20, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v22, types: [java.io.Writer] */
    /* JADX WARN: Type inference failed for: r0v24 */
    /* JADX WARN: Type inference failed for: r0v25, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v26, types: [java.io.Writer] */
    /* JADX WARN: Type inference failed for: r0v30, types: [java.io.FileWriter, java.io.Writer] */
    /* JADX WARN: Type inference failed for: r0v31, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r0v33, types: [java.io.Writer] */
    public String execute(Context context) throws GENEException {
        String filePicPathMsg = (String) context.getDataValue(this.picPath);
        String identityCardMsg = (String) context.getDataValue(this.identityCard);
        String cardTypeMsg = (String) context.getDataValue(this.cardType);
        String fileFlagMsg = (String) context.getDataValue(this.fileFlag);
        String uploadPath = getUploadDirectory(identityCardMsg, cardTypeMsg, fileFlagMsg);
        String finalFileName = getFileName(filePicPathMsg);
        Writer out = null;
        try {
            try {
                File f = new File(uploadPath);
                if (!f.exists()) {
                    f.createNewFile();
                }
                ?? fileWriter = new FileWriter(f);
                out = fileWriter;
                fileWriter.write(finalFileName);
                try {
                    fileWriter = out;
                    fileWriter.close();
                    return "0";
                } catch (IOException e) {
                    fileWriter.printStackTrace();
                    return "0";
                }
            } catch (Exception e2) {
                Trace.logError("LifeAction", e2.getMessage(), e2);
                ?? r0 = out;
                if (r0 != 0) {
                    try {
                        r0 = out;
                        r0.close();
                        return "0";
                    } catch (IOException e3) {
                        r0.printStackTrace();
                        return "0";
                    }
                }
                return "0";
            }
        } catch (Throwable th) {
            ?? r02 = out;
            if (r02 != 0) {
                try {
                    r02 = out;
                    r02.close();
                } catch (IOException e4) {
                    r02.printStackTrace();
                }
            }
            throw th;
        }
    }

    protected String getUploadDirectory(String identityCardMsg, String cardTypeMsg, String fileFlagMsg) {
        String dir = String.valueOf(LifeFile.getFileRootPath()) + "/upload/pic" + LifeFile.DIR_SEPARATOR + identityCardMsg + LifeFile.DIR_SEPARATOR + cardTypeMsg + LifeFile.DIR_SEPARATOR + fileFlagMsg;
        checkFolder(dir);
        return dir;
    }

    protected String getFileName(String fileName) {
        String generateName = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000);
        int dotPos = fileName.lastIndexOf(".");
        if (dotPos > 0) {
            return String.valueOf(generateName) + fileName.substring(dotPos);
        }
        return generateName;
    }

    private void checkFolder(String folderPath) {
        if (!new File(folderPath).isDirectory()) {
            Trace.logError("LifeFile", "本地目录--->" + folderPath + " 不可用");
            LifeFile.makeMultiDirectory(folderPath);
        }
    }

    public String getPicPath() {
        return this.picPath;
    }

    public void setPicPath(String picPath) {
        this.picPath = picPath;
    }

    public String getIdentityCard() {
        return this.identityCard;
    }

    public void setIdentityCard(String identityCard) {
        this.identityCard = identityCard;
    }

    public String getCardType() {
        return this.cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getFileFlag() {
        return this.fileFlag;
    }

    public void setFileFlag(String fileFlag) {
        this.fileFlag = fileFlag;
    }
}
